From 074d761f00c41fc55f6fab0cb4c6969a9c09e27b Mon Sep 17 00:00:00 2001
From: Valentin Churavy <v.churavy@gmail.com>
Date: Fri, 18 Feb 2022 14:37:41 -0500
Subject: [PATCH] fix some missing includes

---
 src/llvm-alloc-helpers.cpp    | 2 ++
 src/llvm-demote-float16.cpp   | 1 +
 src/llvm-late-gc-lowering.cpp | 1 +
 src/llvm-lower-handlers.cpp   | 1 +
 src/llvm-remove-ni.cpp        | 1 +
 5 files changed, 6 insertions(+)

diff --git a/src/llvm-alloc-helpers.cpp b/src/llvm-alloc-helpers.cpp
index 55a93ea5179b5..7469c34e02722 100644
--- a/src/llvm-alloc-helpers.cpp
+++ b/src/llvm-alloc-helpers.cpp
@@ -5,6 +5,8 @@
 #include "codegen_shared.h"
 #include "julia_assert.h"
 
+#include <llvm/IR/IntrinsicInst.h>
+
 using namespace llvm;
 using namespace jl_alloc;
 
diff --git a/src/llvm-demote-float16.cpp b/src/llvm-demote-float16.cpp
index 25c93252558bb..46126c0ec06e3 100644
--- a/src/llvm-demote-float16.cpp
+++ b/src/llvm-demote-float16.cpp
@@ -19,6 +19,7 @@
 #include "support/dtypes.h"
 #include "passes.h"
 
+#include <llvm/Pass.h>
 #include <llvm/IR/IRBuilder.h>
 #include <llvm/IR/LegacyPassManager.h>
 #include <llvm/IR/PassManager.h>
diff --git a/src/llvm-late-gc-lowering.cpp b/src/llvm-late-gc-lowering.cpp
index 6069c7f2e2869..e0163b14a0189 100644
--- a/src/llvm-late-gc-lowering.cpp
+++ b/src/llvm-late-gc-lowering.cpp
@@ -34,6 +34,7 @@
 #include "julia_internal.h"
 #include "julia_assert.h"
 #include "llvm-pass-helpers.h"
+#include <map>
 
 #define DEBUG_TYPE "late_lower_gcroot"
 
diff --git a/src/llvm-lower-handlers.cpp b/src/llvm-lower-handlers.cpp
index 324c591f77be8..045056805bddd 100644
--- a/src/llvm-lower-handlers.cpp
+++ b/src/llvm-lower-handlers.cpp
@@ -22,6 +22,7 @@
 #include "julia.h"
 #include "julia_assert.h"
 #include "codegen_shared.h"
+#include <map>
 
 #define DEBUG_TYPE "lower_handlers"
 #undef DEBUG
diff --git a/src/llvm-remove-ni.cpp b/src/llvm-remove-ni.cpp
index 50a6041c017e0..13680064211c7 100644
--- a/src/llvm-remove-ni.cpp
+++ b/src/llvm-remove-ni.cpp
@@ -3,6 +3,7 @@
 #include "llvm-version.h"
 #include "passes.h"
 
+#include <llvm/Pass.h>
 #include <llvm/IR/Module.h>
 #include <llvm/IR/PassManager.h>
 #include <llvm/IR/LegacyPassManager.h>
